String sheetName = "Sheet1"
int n = 20


switchPage(sheetName)

for (int i = 0; i < n; ++i) {
    if (i > 0) {
        nextRow()
    }
    number(i + 1)
    nextColumn()
    nextColumn()
    text(Character.toString((('A' as char)  + i) as char))
}

namedRange("sourceValues", "${sheetName}!\$A\$1:\$A\$${n}")
namedRange("sourceNames", "${sheetName}!\$C\$1:\$C\$${n}")

namedRange("x","${sheetName}!\$B\$1:\$B\$10")

shiftChart(1, n + 2, 1)
